Subject: RE: bug#30408: 24.5; (format "%x" large-number) produces incorrect results

From: Drew Adams <[email-masked]>
Date: Sun, 11 Feb 2018 20:56:32 -0800 (PST)

> > I wonder why Emacs Lisp doesn't support bignums by default, so
> > precision would not be an issue?
> 
> Nobody has gotten around to implementing it. It'd be nice if someone did.
> It is a wishlist item, so I'll mark this bug report as wishlist priority.

It's probably a duplicate bug.  This has been requested
in the past - perhaps more than once.  And there has
been some discussion of it.  I don't have a reference,
however.